import { defineComponent, withCtx, renderSlot, useSSRContext } from 'vue';
import { ssrRenderComponent, ssrRenderSlot } from 'vue/server-renderer';
import DefaultLayoutWithVerticalNav from './DefaultLayoutWithVerticalNav-CwFd3qmL.mjs';
import './nuxt-link-DwrCF35s.mjs';
import '../nitro/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:events';
import 'node:buffer';
import 'node:fs';
import 'node:path';
import 'node:crypto';
import 'node:url';
import './server.mjs';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'pinia';
import 'vue-router';
import './NavItems-BE_iATXh.mjs';
import './logo-C2NYPRdy.mjs';
import 'vue3-perfect-scrollbar';
import './index-BkwMfZcG.mjs';
import './Footer-BdPuYOuS.mjs';
import './NavbarThemeSwitcher-B8gKKvoR.mjs';
import './VTooltip-D5G-PTk1.mjs';
import './UserProfile-D3XrMU_d.mjs';
import './avatar-1-BLwzgS8N.mjs';
import './VList-C7tHrCmP.mjs';
import './index-BNHdF426.mjs';
import './ssrBoot-BtvJZs44.mjs';
import './VDivider-C0e0b_O5.mjs';
import './VListItemAction-DeAgZ_Zv.mjs';
import './VSpacer-CWwQJ4s3.mjs';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "default",
  __ssrInlineRender: true,
  setup(__props) {
    return (_ctx, _push, _parent, _attrs) => {
      _push(ssrRenderComponent(DefaultLayoutWithVerticalNav, _attrs, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            ssrRenderSlot(_ctx.$slots, "default", {}, null, _push2, _parent2, _scopeId);
          } else {
            return [
              renderSlot(_ctx.$slots, "default")
            ];
          }
        }),
        _: 3
      }, _parent));
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("layouts/default.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
